:root {
    --antique-blocks--heading-wrap--margin-bottom: 4px;
    --antique-blocks--arrow--width: 42px;
    --antique-blocks--arrow--transition-duration: 0.25s;
}

.antique-block {
    width: 100%;
    margin: 12px 0;
}

.antique-block * {
    box-sizing: border-box;
}

.antique-block-heading-wrap {
    position: relative;
    width: 100%;
    margin-bottom: var(--antique-blocks--heading-wrap--margin-bottom);
}

.antique-block-heading {
    display: block;
    width: calc(100% - var(--antique-blocks--arrow--width));
    padding: 10px 0 10px 20px;
    text-align: left;
    font-size: 1.1em;
    line-height: 1.2;
    font-weight: bolder;
    word-wrap: break-word;
}

.antique-block-content {
    font-size: 1em;
}

.antique-block-content.hide-content {
    display: none;
}

.antique-block-arrow {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: var(--antique-blocks--arrow--width);
    cursor: pointer;
}

.antique-block-arrow i {
    transform: rotate(180deg);
    transition: transform var(--antique-blocks--arrow--transition-duration);
    font-size: 1.1em;
}

.antique-block-arrow.rotate-arrow i {
    transform: rotate(0deg);
}